> ## Documentation Index
> Fetch the complete documentation index at: https://docs.surnex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Currently trending searches

> Fetch trending Google searches. Cached for 1 hour.



## OpenAPI

````yaml https://api.surnex.io/openapi.json get /v1/trends/trending
openapi: 3.1.0
info:
  title: Surnex API
  description: |-
    Surnex SEO Platform API — api.surnex.io

    Provides the complete backend for the Surnex SEO dashboard including:
    - Multi-tenant organization management
    - Project tracking (domains)
    - Keyword rank tracking (Phase 1+)
    - Backlink analysis (Phase 3+)
    - Site auditing (Phase 4+)
    - Stripe billing integration
    - MCP endpoint for AI agents at /mcp
  version: 0.1.0
servers: []
security: []
paths:
  /v1/trends/trending:
    get:
      tags:
        - Trends
      summary: Currently trending searches
      description: Fetch trending Google searches. Cached for 1 hour.
      operationId: get_trending_now_v1_trends_trending_get
      parameters:
        - name: location_code
          in: query
          required: true
          schema:
            type: integer
            title: Location Code
        - name: language_code
          in: query
          required: true
          schema:
            type: string
            title: Language Code
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_TrendingNowResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    APIResponse_TrendingNowResponse_:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          anyOf:
            - $ref: '#/components/schemas/TrendingNowResponse'
            - type: 'null'
      type: object
      title: APIResponse[TrendingNowResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrendingNowResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TrendingSearchItem'
          type: array
          title: Items
        total:
          type: integer
          title: Total
          default: 0
      type: object
      title: TrendingNowResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TrendingSearchItem:
      properties:
        keyword:
          type: string
          title: Keyword
          description: Trending keyword.
        search_volume:
          anyOf:
            - type: integer
            - type: 'null'
          title: Search Volume
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        categories:
          items:
            type: string
          type: array
          title: Categories
        cpc:
          anyOf:
            - type: number
            - type: 'null'
          title: Cpc
        competition:
          anyOf:
            - type: number
            - type: 'null'
          title: Competition
        monthly_searches:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Monthly Searches
      type: object
      required:
        - keyword
      title: TrendingSearchItem
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````